Skip to main content
GET
/
payroll
/
year-end
/
{taxYear}
/
{payrollConfigId}
Read year-end finalisation for a payroll configuration
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/payroll/year-end/{taxYear}/{payrollConfigId} \
  --header 'X-Auth-Token: <api-key>'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {
      "organisationId": "ORG-001",
      "payrollConfigId": "CONFIG-001",
      "taxYear": 2025,
      "finalisedBy": "user@example.com",
      "finalisedDate": "2025-04-06T10:00:00.000Z"
    },
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

payrollConfigId
string
required

The payroll config id

taxYear
integer
required

The tax year (e.g. 2025 for 2024/25)

Response

Year-end finalisation found

message
object
content
object
validationIssues
object[]
messageToken
string